/* prefs.js */

const { GObject, Gtk } = imports.gi;
const ExtensionUtils = imports.misc.extensionUtils;

function init() {}

function buildPrefsWidget() {
    let settings = ExtensionUtils.getSettings();

    let widget = new Gtk.Box({
        orientation: Gtk.Orientation.VERTICAL,
        spacing: 10,
        margin_top: 20,
        margin_bottom: 20,
        margin_start: 20,
        margin_end: 20,
    });

    let nextWsLabel = new Gtk.Label({ label: 'Next Workspace Keybinding', halign: Gtk.Align.START });
    let nextWsEntry = new Gtk.Entry({ text: settings.get_string('switch-to-next-workspace-on-active-monitor') });

    let previousWsLabel = new Gtk.Label({ label: 'Previous Workspace Keybinding', halign: Gtk.Align.START });
    let previousWsEntry = new Gtk.Entry({ text: settings.get_string('switch-to-previous-workspace-on-active-monitor') });

    nextWsEntry.connect('changed', (entry) => {
        settings.set_string('nextws-keybinding', entry.get_text());
    });

    previousWsEntry.connect('changed', (entry) => {
        settings.set_string('previousws-keybinding', entry.get_text());
    });

    widget.append(nextWsLabel);
    widget.append(nextWsEntry);
    widget.append(previousWsLabel);
    widget.append(previousWsEntry);

    widget.show_all();
    return widget;
}


